Subject: bug#41829: ERT commands that aren't in the info

From: Stefan Kangas <[email-masked]>
Date: Sat, 25 Sep 2021 08:09:37 -0700

tags 41829 fixed
close 41829 28.1
thanks

Stefan Kangas <[email-masked]> writes:

> Douglas Lewan <[email-masked]> writes:
>
>> The following ERT commands do not appear in the info doumentation for ERT and
>> should.
>>
>> Most would be appropriate in the section "Running test interactively". Those
>> commands with associated keys are mentioned in ert-results-mode, but, still,
>> should appear in the info.
>> The command M-x ert-delete-all-tests is especially useful for creating a clean
>> slate, but it is not mentioned at all.
>>
>> ert-delete-all-tests
>> ert-delete-test (key D)
>> ert-describe-test
>> ert-find-test-other-window
>> ert-results-describe-test-at-point (key h)
>> ert-results-jump-between-summary-and-result (key j)
>> ert-results-next-test (key n)
>> ert-results-pop-to-timings (key T)
>> ert-results-previous-test (key p)
>> ert-results-rerun-all-tests (key R)
>> ert-run-tests-interactively
>
> It would be useful to document them in the Info documentation, indeed.
> Probably no one found the time to do it yet, is all.
[...]
>> I'd be happy to work on text for this if that's appropriate.
>
> That would be both welcome and useful, thank you.

No further updates here within a year, so I've now made this change on
master (commit c7370f7334).  This change will be part of Emacs 28.1.

Further tweaks, improvements and suggestions are welcome of course, but
for now I'm closing this bug report.  Please reply to this email (use
"Reply to all" in your email client) and we can reopen the bug report if
needed, or you could just open a new bug.

Thanks again for the bug report!